﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="FormPrincipal.aspx.cs" Inherits="SedSRL.FormPrincipal" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
    <title></title>
 <link href="MenuPrincipal.css" rel="stylesheet" type="text/css" />
</head>
<body>
    <form id="form1" runat="server">
    <div id="divTab">
         
        <asp:ScriptManager ID="ScriptManager1" runat="server"></asp:ScriptManager>
        
             <table id="tblmenu" runat="server" class="centrado"> 
                 <tr>
                     <td>
                         <telerik:RadMenu ID="MenuPrincipal" runat="server"  Skin="Silk" ExpandAnimation-Type="InOutSine" Flow="Vertical" EnableRoundedCorners="true" EnableShadows="true" Font-Italic="true" OnItemClick="MenuPrincipal_ItemClick" >
                               <Items>
                                   <telerik:RadMenuItem Text="Cobertura">
                                       <Items>
                                           <telerik:RadMenuItem Text="Nueva Cobertura"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Buscar Cobertura"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Listar Coberturas"></telerik:RadMenuItem>
                                       </Items>
                                   </telerik:RadMenuItem>
                                   <telerik:RadMenuItem Text="Prestaciones">
                                       <Items>
                                           <telerik:RadMenuItem Text="Nueva Prestacion"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Buscar Prestacion"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Listar Prestaciones"></telerik:RadMenuItem>
                                      </Items>
                                   </telerik:RadMenuItem>
                                   <telerik:RadMenuItem Text ="Pacientes">
                                       <Items>
                                           <telerik:RadMenuItem Text="Nuevo Paciente"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Buscar Paciente"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text="Listar Pacientes"></telerik:RadMenuItem>
                                       </Items>
                                   </telerik:RadMenuItem>
                                   <telerik:RadMenuItem Text ="Profesionales">
                                       <Items>
                                           <telerik:RadMenuItem Text="Nuevo Profesional"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text ="Buscar Profesional"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text ="Listar Profesionales"></telerik:RadMenuItem>
                                       </Items>
                                   </telerik:RadMenuItem>
                                   <telerik:RadMenuItem Text ="Servicios">
                                       <Items>
                                           <telerik:RadMenuItem Text="Nuevo Servicio"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text ="Buscar Servicio"></telerik:RadMenuItem>
                                           <telerik:RadMenuItem Text ="Listar Servicios"></telerik:RadMenuItem>
                                       </Items>
                                   </telerik:RadMenuItem>
                                   <telerik:RadMenuItem Text="Usuarios"></telerik:RadMenuItem>
                                    <telerik:RadMenuItem Text="Familias"></telerik:RadMenuItem>
                               </Items>
                               <ExpandAnimation Type="InOutSine" />
                           </telerik:RadMenu>
                        </td>       
                   </tr>
          </table>

            </div>

        <div id="divcontroles">
             <table id="Grids" runat="server" align="center" style="margin-top:6%;" width="70%">
                <tr>
                    <td>
                        <telerik:RadGrid ID="_Gridcobertura" runat="server"  Visible="False" DataSourceID="sqlcobertura" Culture="es-ES" Skin="Metro" Width="100%" AutoGenerateEditColumn="true" AutoGenerateDeleteColumn="true"  OnItemCommand="_Gridcobertura_ItemCommand" OnUpdateCommand="_Gridcobertura_UpdateCommand" OnDeleteCommand="_Gridcobertura_DeleteCommand" OnItemDataBound="_Gridcobertura_ItemDataBound">
                            <ClientSettings>
                                <Selecting AllowRowSelect="True" />
                            </ClientSettings>
                            <MasterTableView AutoGenerateColumns="False" DataSourceID="sqlcobertura" DataKeyNames="Idcobertura,Contacto,Razonsocial,Nfantasia,CC,Direccion,Localidad">
                               <EditFormSettings>
                                         <EditColumn UniqueName="EditCommandColumn" CancelText="Cancelar" UpdateText="Ingresar" ></EditColumn>
                               </EditFormSettings>
                                 <Columns>
                                    <telerik:GridBoundColumn DataField="Idcobertura" visible="false" DataType="System.Int32" FilterControlAltText="Filter Idcobertura column" HeaderText="Idcobertura" ReadOnly="True" SortExpression="Idcobertura" UniqueName="Idcobertura" HeaderButtonType="PushButton"  >
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Razonsocial" FilterControlAltText="Filter Razonsocial column" HeaderText="Razonsocial" SortExpression="Razonsocial" UniqueName="Razonsocial" ReadOnly="false">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Nfantasia" FilterControlAltText="Filter Nfantasia column" HeaderText="Nfantasia" SortExpression="Nfantasia" UniqueName="Nfantasia">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Contacto" FilterControlAltText="Filter Contacto column" HeaderText="Contacto" SortExpression="Contacto" UniqueName="Contacto">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="CC" FilterControlAltText="Filter CC column" HeaderText="CC" SortExpression="CC" UniqueName="CC">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Direccion" FilterControlAltText="Filter Direccion column" HeaderText="Direccion" SortExpression="Direccion" UniqueName="Direccion">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                                    <telerik:GridBoundColumn DataField="Localidad" FilterControlAltText="Filter Localidad column" HeaderText="Localidad" SortExpression="Localidad" UniqueName="Localidad">
                                        <ColumnValidationSettings>
                                            <ModelErrorMessage Text="" />
                                        </ColumnValidationSettings>
                                    </telerik:GridBoundColumn>
                              </Columns>
                              
                            </MasterTableView>
                        </telerik:RadGrid>
                    </td>
                </tr>
            </table>
            <table id="tblServicio" runat="server" align="center" style="margin-top:6%;" visible="false">
                <tr>
                    <td>Nombre</td><td><telerik:RadTextBox ID="txtdescServicio" runat="server"></telerik:RadTextBox></td>
                    <td>Tipo.Servicio</td><td><telerik:RadComboBox ID="combotiposerv" runat="server" Skin="Silk" EmptyMessage="tipo de servicio">
                    <Items>
                        <telerik:RadComboBoxItem Text="Enfermería" />
                        <telerik:RadComboBoxItem Text="Kinesiología" />

                    </Items>
                    </telerik:RadComboBox></td>
                </tr>
            </table>
            <table id="tblCobertura" runat="server" align="center" style="margin-top:6%;" visible="false">
                <tr>
                    <td>Razón.social</td><td ><telerik:RadTextBox ID="txtrazonsocial" runat="server"></telerik:RadTextBox></td>
                    <td>Nombre.fantasía</td><td ><telerik:RadTextBox ID="txtfantasia" runat="server"></telerik:RadTextBox></td>
                    <td>Contacto</td><td ><telerik:RadTextBox ID="txtcontacto" runat="server"></telerik:RadTextBox></td>
                </tr>
                <tr>
                     <td>Cuit/cuil</td><td ><telerik:RadTextBox ID="txtcuil" runat="server"></telerik:RadTextBox></td>
                    <td >Dirección</td><td ><telerik:RadTextBox ID="txtdireccion" runat="server"></telerik:RadTextBox></td>
                     <td>Localidad</td><td  ><telerik:RadComboBox ID="combolocalidad" runat="server" Skin="Silk" EmptyMessage="Seleccione Localidad">
                     <Items>
                         <telerik:RadComboBoxItem Text="Lanús" Value="1" />
                         <telerik:RadComboBoxItem Text="Burzaco" Value="2" />
                         <telerik:RadComboBoxItem Text="Adrogué" Value="3" />
                     </Items>
                     </telerik:RadComboBox></td>
                      
                    </tr>
                    <tr>
                    <td>Tel</td><td ><telerik:RadTextBox ID="txttelefono" runat="server"></telerik:RadTextBox></td>
                    <td>Tel Opc</td><td ><telerik:RadTextBox ID="txttelopc" runat="server"></telerik:RadTextBox></td>
                 
                 
                </tr>
            </table>
            
            <center>
            <telerik:RadButton ID="Ingresar" runat="server" text="Ingresar" OnClick="Ingresar_Click"></telerik:RadButton>
            </center>   
           

        </div>
        <asp:SqlDataSource ID="sqlcobertura" runat="server" ConnectionString="<%$Connectionstrings:SedCon%>" SelectCommand="select * from Cobertura"></asp:SqlDataSource>
      </form>
</body>
</html>
